//+------------------------------------------------------------------+
//|                        Buy one Orders LHL SL 30TP1  (0.1).mq4 |
//|                               Copyright  2010, Forex Tools Cafe |
//|                                  http://www.forex-tools-cafe.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Forex Tools Cafe."
#property link      "http://www.forex-tools-cafe.com"

#include <stdlib.mqh>
#include <WinUser32.mqh>

double lastSwingHigh;
double lastSwingLow;

int  MinimumStopLoss=4;
int  MaximumStopLoss=75; 
int  StopLossOffset=0; 

double  Lots=0.01; 
int     slippage=3; 
int     BarsLookBack=3;
 


int start()
{

   if ( Digits == 3 || Digits == 5  ) //  5 digit broker
   {
     MinimumStopLoss = MinimumStopLoss*10; 
     MaximumStopLoss = MaximumStopLoss*10;
     StopLossOffset =  StopLossOffset*10;
     slippage = slippage*10;  
   }
   
   GetLastHighLow( BarsLookBack); 
   
   double stoploss = lastSwingLow - StopLossOffset*Point ; 
   if ( stoploss > Ask - MinimumStopLoss*Point ) stoploss = Ask - MinimumStopLoss*Point; 
   if ( stoploss < Ask - MaximumStopLoss*Point ) stoploss = Ask - MaximumStopLoss*Point; 
   
   int stoplosspips = (Ask - stoploss)/Point; 
   
   RefreshRates();
    
   double TP1price = 0.0 ; // Ask + TakeProfit1*Point;  // Ask+20*Point; 

   
   int ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,slippage,stoploss,TP1price,"Buy 1st Order",255,0,Blue);

   if(ticket< 0 )
   {
      int error=GetLastError();
      Print("Error = ",ErrorDescription(error));
      return;
   }

   return(0);
}


void GetLastHighLow(int period )
{
   lastSwingHigh = High[iHighest( Symbol(), 0, MODE_HIGH, period, 1)];
   lastSwingLow = Low[iLowest( Symbol(), 0, MODE_LOW, period, 1)];

   return (0); 
}